<?php

namespace My\ExampleBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

use My\ExampleBundle\Form\PlaceType;


class PersonType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add( 'name', null, array('label' => 'Name of Person' ) );
        $builder->add( 'Home', new PlaceType, array('label' => "Person's Home:" ) );
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'My\ExampleBundle\Entity\Person'
        ));
    }

    public function getName()
    {
        return 'my_examplebundle_persontype';
    }
}
