<?php

namespace My\ExampleBundle\Entity;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query;



/**
 * Person Repository
 */
class PersonRepository extends EntityRepository
{
    
    /**
     * @override
     * @return Person
     */
    public function find( $id ){
        $query = $this->getEntityManager()
            ->createQuery('
                SELECT p, h
                FROM MyExampleBundle:Person p
                JOIN p.home h
                WHERE p.id = :id'
            )->setParameter('id', $id);
        return $query->getSingleResult();
    }


}
